/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package org.fabric3.spi.component;

/**
 * Denotes an error retrieving a target instance
 *
 * @version $Rev: 2991 $ $Date: 2008-03-02 10:55:01 -0800 (Sun, 02 Mar 2008) $
 */
public class TargetResolutionException extends TargetException {
    private static final long serialVersionUID = 5096941714950544095L;

    public TargetResolutionException(String message) {
        super(message);
    }

    public TargetResolutionException(String message, String identifier) {
        super(message, identifier);
    }

    public TargetResolutionException(String message, Throwable cause) {
        super(message, cause);
    }

    public TargetResolutionException(String message, String identifier, Throwable cause) {
        super(message, identifier, cause);
    }
}
