/*
 * See the NOTICE file distributed with this work for information
 * regarding copyright ownership.  This file is licensed
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package org.fabric3.spi.runtime.assembly;

import org.fabric3.spi.assembly.AssemblyException;


/**
 * Denotes an exception recording an assembly operation
 *
 * @version $Rev: 2332 $ $Date: 2007-12-24 15:11:32 -0800 (Mon, 24 Dec 2007) $
 */
public class RecordException extends AssemblyException {

    public RecordException(String message, Throwable cause) {
        super(message, cause);
    }

    public RecordException(String message, String identifier, Throwable cause) {
        super(message, identifier, cause);
    }
}
